#! /bin/bash

cd `dirname $0`

service_array=(mbusd.conf watch-dog RemoteTerminalDaemon config-manager cloud-proxy service-monitor logger)

cd `dirname $0`

if [ $# == 1 ] ; then
        index=0
        for service in ${service_array[@]}
        do
                if [ "${service}" == "RemoteTerminalDaemon" ];then
                        break
                fi
                index=$[$index+1]
        done
        unset service_array[$index]
fi

#Terminate the service started
stop_services() {
for service in ${service_array[@]}
do
	num=$(ps -eo user,pid,ppid,stat,args | grep "${service}" | grep -v grep | wc -l)
	if [ $num -ne 0 ];then
		${Q}echo -e "[  \033[0;31m-\033[0m  ]  Stop Running Service:  ${service}"
		ps -eo user,pid,ppid,stat,args | grep "${service}" | grep -v "grep" | awk '{print $2}' | xargs kill -15 >>/tmp/linkedge.log 2>&1
		sleep 1
	fi
done
}


${Q}echo ""
${Q}echo "----------------------------------------------------------"
${Q}echo "            Stop Link IoT Edge Services                    "
${Q}echo "----------------------------------------------------------"
${Q}echo ""

stop_services

